%define name	xaralx
%define origname XaraLX
%define version 0.7r1785
%define release %mkrel 2

Summary: 	Xara Xtreme for Linux is a powerful, general purpose graphics program 

Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL 2.0
Group: 		Graphics
Source:		%{origname}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
URL: 		http://www.xaraxtreme.org
Packager:	DidouPh
BuildRequires:	gcc-c++ pkgconfig libgtk+2.0_0-devel libwxgtk2.6-devel gettext-devel libtool libpng-devel libjpeg-devel zip perl libxml2-devel
Requires:	libgtk+2.0_0 gettext libpng libjpeg zip perl libxml2 wxGTK2.6 libwxgtk2.6

%description
Xara Xtreme is the world's fastest vector drawing program, by a huge margin.
This is partly due to using the world's fastest vector rendering engine and
partly due to the inherent Xara X architecture. In graphics software, performance
matters. Performance is directly related to productivity (less waiting around)
and also enables more rich, more complex designs to be created more easily.

%prep
%setup -q -n %{origname}-%{version}

%build
autoreconf -f -i -s
%{configure} --prefix=%{_prefix} --enable-unicode --enable-svgfilter --enable-filters
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

# creating desktop entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Xara Xtreme
Comment=Versatile vector graphics program
Comment[de_DE]=Leistungsstarkes Vektorgrafik-Programm
Comment[fr_FR]=Logiciel d'illustration vectorielle polyvalent
Comment[it_IT]=Versatile programma di grafica vettoriale
Comment[pt_BR]=Versátil programa para gráficos vetoriais
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Graphics;VectorGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics;
StartupNotify=true
MimeType=application/vnd.xara;application/x-extension-xar;
FilePattern=%{name};
Exec=%{name} %F
TryExec=%{name}
EOF

# adding menu entry
desktop-file-install \
   --vendor="" \
   --dir %{buildroot}/%{_datadir}/applications \
   %{buildroot}/%{_datadir}/applications/%{name}.desktop
# adding icons
mkdir -p %{buildroot}/%{_datadir}/icons
cp %{_topdir}/BUILD/%{origname}-%{version}/%{name}.png %{buildroot}/%{_datadir}/icons/%{name}.png
# namefix
mv %{buildroot}/%{_bindir}/%{origname} %{buildroot}/%{_bindir}/%{name}
%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_bindir}/expandxar
%{_bindir}/xarasvgfilter
%{_bindir}/xarasvgfilterui
%exclude %{_includedir}/xarlib/*.h
%{_libdir}/libXar.a
%{_libdir}/pkgconfig/Xar.pc
%{_datadir}/xaralx/filters/*.xml
%{_datadir}/applications/*
%{_datadir}/icons/*


%changelog
* Sun May 24 2009 Texstar <texstar@gmail.com> 0.7r1785-2pclos2009
- fix rpm group

* Thu Jan 15 2008 DidouPh <didouph@matoilnet.com> 0.7r1785
- 0.7r1785 reformated spec

* Thu Oct 24 2007 DidouPh <didouph@matoilnet.com> initial build
- first build
